Skip to main content
GET
/
v0
/
applications
JavaScript
import Avido from 'avido';

const client = new Avido({
  apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
  applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const application of client.applications.list()) {
  console.log(application.id);
}
import os
from avido import Avido

client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
page = client.applications.list()
page = page.data[0]
print(page.id)
curl --request GET \
--url https://api.avidoai.com/v0/applications \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>'


{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "orgId": "org_123456",
      "title": "Customer Support Bot",
      "slug": "customer-support-bot",
      "description": "AI assistant for customer support inquiries",
      "context": "Some context here",
      "type": "CHATBOT",
      "environment": "DEV",
      "humanAnnotationEnabled": false,
      "createdAt": "2024-01-05T12:34:56.789Z",
      "modifiedAt": "2024-01-05T12:34:56.789Z"
    }
  ],
  "pagination": {
    "skip": 0,
    "limit": 25,
    "total": 1,
    "totalPages": 1
  }
}

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Query Parameters

skip
integer
default:0

Number of items to skip before starting to collect the result set.

Required range: 0 <= x <= 9007199254740991
Example:

0

limit
integer

Number of items to include in the result set.

Required range: 1 <= x <= 100
Example:

25

orderBy
enum<string>
default:createdAt

Field to order the result set by.

Available options:
createdAt,
modifiedAt,
title,
slug,
type,
environment,
id
Example:

"createdAt"

orderDir
enum<string>
default:desc

Order direction.

Available options:
asc,
desc
Example:

"desc"

slug
string

Filter by application slug

Minimum string length: 1
Example:

"customer-support-bot"

type
enum<string>

Filter by application type

Available options:
CHATBOT,
AGENT
Example:

"CHATBOT"

environment
enum<string>
default:DEV

Filter by application environment

Available options:
DEV,
PROD
Example:

"DEV"

humanAnnotationEnabled
boolean

Filter by human annotation enabled status

Example:

true

Response

Successfully retrieved applications

Paginated response containing applications

data
Application · object[]
required
pagination
PaginationResponse · object
required

Pagination metadata returned in a paginated response.